Support » Plugin: Adapta RGPD » Error fatal

  • Resolved rediam

    (@rediam)


    Hola,

    He instalado y he ido activar el plug-in y me da este error:
    Fatal error: Arrays are not allowed in class constants in /home/suminist/public_html/wp-content/plugins/adapta-rgpd/includes/class-settings.php on line 143

    Además ahora no puedo ni entrar al portal.

    Que debo hacer?
    Gracias.-

    • This topic was modified 7 months ago by rediam.

    The page I need help with: [log in to see the link]

Viewing 1 replies (of 1 total)
  • Plugin Author Superadmin

    (@cesarmaeso)

    Hola rediam!
    Es porqué estas utilizando una versión de PHP anterior a 5.6 y el plugin necesita al menos la 5.6. Las versiones 5.x de php ya no tiene actualizaciones de seguridad, por eso es recomendable cambiarla por una versión 7.2 o superior (de hecho para cumplir el RGPD no puedes utilizar versiones obsoletas).

    Para solucionar el problema de tu sitio, accede al administrador de archivos de tu alojamiento y dentro de la carpeta wp-content/plugins renombra la carpeta adapta-rgpd por adapta-rgpd.bak. Con eso, ya podrás entrar.

    Luego, te recomiendo consultar con tu hosting para cambiar a una versión de PHP superior. A partir de la versión 5.6 ya no tendrás problemas para activar el plugin y como te comentaba es mejor 7.2 o superior.

    Dime cualquier duda que te surja.

Viewing 1 replies (of 1 total)
  • The topic ‘Error fatal’ is closed to new replies.